@echo off

REM Get the name of the current folder
for %%F in ("%~dp0.") do set "currentFolder=%%~nF"

REM Check if the folder name matches the allowed names
if /i not "%currentFolder%"=="InfiniteFusion" (
    echo ERROR: This script must be run from a folder named "InfiniteFusion".
    echo YOUR folder name: "%currentFolder%"
    echo Please rename the folder to "InfiniteFusion" EXACTLY and try again.
    pause
    exit /b 1
)

REM Proceed with the script if the folder name is correct
set mgit=".\REQUIRED_BY_INSTALLER_UPDATER\cmd\git.exe"
%mgit% init .

REM Remove the existing remote 'origin' if it exists
%mgit% remote remove origin >nul 2>&1

REM Add the remote 'origin' again
%mgit% remote add origin "https://github.com/infinitefusion/infinitefusion-e18.git"

%mgit% fetch origin releases --depth 1
%mgit% reset --hard origin/releases
%mgit% clean -fd --exclude=REQUIRED_BY_INSTALLER_UPDATER/ --exclude=INSTALL_OR_UPDATE.bat --exclude=Graphics\CustomBattlers\local_sprites --exclude=InfiniteFusion

echo Installation Complete.  
echo If you do not see additional files in your folder, screenshot this window to #tech-support for further help.
pause